Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network93.28.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
93.28.0.0
Broadcast address
93.28.31.255
First usable
93.28.0.1
Last usable
93.28.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 5D1C0000 · Integer 1562116096 to 1562124287
Reverse DNS zones
0.28.93.in-addr.arpa
1.28.93.in-addr.arpa
2.28.93.in-addr.arpa
3.28.93.in-addr.arpa
4.28.93.in-addr.arpa
5.28.93.in-addr.arpa
6.28.93.in-addr.arpa
7.28.93.in-addr.arpa
8.28.93.in-addr.arpa
9.28.93.in-addr.arpa
10.28.93.in-addr.arpa
11.28.93.in-addr.arpa
12.28.93.in-addr.arpa
13.28.93.in-addr.arpa
14.28.93.in-addr.arpa
15.28.93.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011101.00011100.00000000.0000000093.28.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network01011101.00011100.00000000.0000000093.28.0.0
Broadcast01011101.00011100.00011111.1111111193.28.31.255
Split into smaller subnets/29

93.28.0.0/19 makes 1,024 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
193.28.0.0/2993.28.0.1 to 93.28.0.693.28.0.76
293.28.0.8/2993.28.0.9 to 93.28.0.1493.28.0.156
393.28.0.16/2993.28.0.17 to 93.28.0.2293.28.0.236
493.28.0.24/2993.28.0.25 to 93.28.0.3093.28.0.316
593.28.0.32/2993.28.0.33 to 93.28.0.3893.28.0.396
693.28.0.40/2993.28.0.41 to 93.28.0.4693.28.0.476
793.28.0.48/2993.28.0.49 to 93.28.0.5493.28.0.556
893.28.0.56/2993.28.0.57 to 93.28.0.6293.28.0.636
993.28.0.64/2993.28.0.65 to 93.28.0.7093.28.0.716
1093.28.0.72/2993.28.0.73 to 93.28.0.7893.28.0.796
1193.28.0.80/2993.28.0.81 to 93.28.0.8693.28.0.876
1293.28.0.88/2993.28.0.89 to 93.28.0.9493.28.0.956
1393.28.0.96/2993.28.0.97 to 93.28.0.10293.28.0.1036
1493.28.0.104/2993.28.0.105 to 93.28.0.11093.28.0.1116
1593.28.0.112/2993.28.0.113 to 93.28.0.11893.28.0.1196
1693.28.0.120/2993.28.0.121 to 93.28.0.12693.28.0.1276
1793.28.0.128/2993.28.0.129 to 93.28.0.13493.28.0.1356
1893.28.0.136/2993.28.0.137 to 93.28.0.14293.28.0.1436
1993.28.0.144/2993.28.0.145 to 93.28.0.15093.28.0.1516
2093.28.0.152/2993.28.0.153 to 93.28.0.15893.28.0.1596
2193.28.0.160/2993.28.0.161 to 93.28.0.16693.28.0.1676
2293.28.0.168/2993.28.0.169 to 93.28.0.17493.28.0.1756
2393.28.0.176/2993.28.0.177 to 93.28.0.18293.28.0.1836
2493.28.0.184/2993.28.0.185 to 93.28.0.19093.28.0.1916
2593.28.0.192/2993.28.0.193 to 93.28.0.19893.28.0.1996
2693.28.0.200/2993.28.0.201 to 93.28.0.20693.28.0.2076
2793.28.0.208/2993.28.0.209 to 93.28.0.21493.28.0.2156
2893.28.0.216/2993.28.0.217 to 93.28.0.22293.28.0.2236
2993.28.0.224/2993.28.0.225 to 93.28.0.23093.28.0.2316
3093.28.0.232/2993.28.0.233 to 93.28.0.23893.28.0.2396
3193.28.0.240/2993.28.0.241 to 93.28.0.24693.28.0.2476
3293.28.0.248/2993.28.0.249 to 93.28.0.25493.28.0.2556
3393.28.1.0/2993.28.1.1 to 93.28.1.693.28.1.76
3493.28.1.8/2993.28.1.9 to 93.28.1.1493.28.1.156
3593.28.1.16/2993.28.1.17 to 93.28.1.2293.28.1.236
3693.28.1.24/2993.28.1.25 to 93.28.1.3093.28.1.316
3793.28.1.32/2993.28.1.33 to 93.28.1.3893.28.1.396
3893.28.1.40/2993.28.1.41 to 93.28.1.4693.28.1.476
3993.28.1.48/2993.28.1.49 to 93.28.1.5493.28.1.556
4093.28.1.56/2993.28.1.57 to 93.28.1.6293.28.1.636
4193.28.1.64/2993.28.1.65 to 93.28.1.7093.28.1.716
4293.28.1.72/2993.28.1.73 to 93.28.1.7893.28.1.796
4393.28.1.80/2993.28.1.81 to 93.28.1.8693.28.1.876
4493.28.1.88/2993.28.1.89 to 93.28.1.9493.28.1.956
4593.28.1.96/2993.28.1.97 to 93.28.1.10293.28.1.1036
4693.28.1.104/2993.28.1.105 to 93.28.1.11093.28.1.1116
4793.28.1.112/2993.28.1.113 to 93.28.1.11893.28.1.1196
4893.28.1.120/2993.28.1.121 to 93.28.1.12693.28.1.1276
4993.28.1.128/2993.28.1.129 to 93.28.1.13493.28.1.1356
5093.28.1.136/2993.28.1.137 to 93.28.1.14293.28.1.1436
5193.28.1.144/2993.28.1.145 to 93.28.1.15093.28.1.1516
5293.28.1.152/2993.28.1.153 to 93.28.1.15893.28.1.1596
5393.28.1.160/2993.28.1.161 to 93.28.1.16693.28.1.1676
5493.28.1.168/2993.28.1.169 to 93.28.1.17493.28.1.1756
5593.28.1.176/2993.28.1.177 to 93.28.1.18293.28.1.1836
5693.28.1.184/2993.28.1.185 to 93.28.1.19093.28.1.1916
5793.28.1.192/2993.28.1.193 to 93.28.1.19893.28.1.1996
5893.28.1.200/2993.28.1.201 to 93.28.1.20693.28.1.2076
5993.28.1.208/2993.28.1.209 to 93.28.1.21493.28.1.2156
6093.28.1.216/2993.28.1.217 to 93.28.1.22293.28.1.2236
6193.28.1.224/2993.28.1.225 to 93.28.1.23093.28.1.2316
6293.28.1.232/2993.28.1.233 to 93.28.1.23893.28.1.2396
6393.28.1.240/2993.28.1.241 to 93.28.1.24693.28.1.2476
6493.28.1.248/2993.28.1.249 to 93.28.1.25493.28.1.2556
6593.28.2.0/2993.28.2.1 to 93.28.2.693.28.2.76
6693.28.2.8/2993.28.2.9 to 93.28.2.1493.28.2.156
6793.28.2.16/2993.28.2.17 to 93.28.2.2293.28.2.236
6893.28.2.24/2993.28.2.25 to 93.28.2.3093.28.2.316
6993.28.2.32/2993.28.2.33 to 93.28.2.3893.28.2.396
7093.28.2.40/2993.28.2.41 to 93.28.2.4693.28.2.476
7193.28.2.48/2993.28.2.49 to 93.28.2.5493.28.2.556
7293.28.2.56/2993.28.2.57 to 93.28.2.6293.28.2.636
7393.28.2.64/2993.28.2.65 to 93.28.2.7093.28.2.716
7493.28.2.72/2993.28.2.73 to 93.28.2.7893.28.2.796
7593.28.2.80/2993.28.2.81 to 93.28.2.8693.28.2.876
7693.28.2.88/2993.28.2.89 to 93.28.2.9493.28.2.956
7793.28.2.96/2993.28.2.97 to 93.28.2.10293.28.2.1036
7893.28.2.104/2993.28.2.105 to 93.28.2.11093.28.2.1116
7993.28.2.112/2993.28.2.113 to 93.28.2.11893.28.2.1196
8093.28.2.120/2993.28.2.121 to 93.28.2.12693.28.2.1276
8193.28.2.128/2993.28.2.129 to 93.28.2.13493.28.2.1356
8293.28.2.136/2993.28.2.137 to 93.28.2.14293.28.2.1436
8393.28.2.144/2993.28.2.145 to 93.28.2.15093.28.2.1516
8493.28.2.152/2993.28.2.153 to 93.28.2.15893.28.2.1596
8593.28.2.160/2993.28.2.161 to 93.28.2.16693.28.2.1676
8693.28.2.168/2993.28.2.169 to 93.28.2.17493.28.2.1756
8793.28.2.176/2993.28.2.177 to 93.28.2.18293.28.2.1836
8893.28.2.184/2993.28.2.185 to 93.28.2.19093.28.2.1916
8993.28.2.192/2993.28.2.193 to 93.28.2.19893.28.2.1996
9093.28.2.200/2993.28.2.201 to 93.28.2.20693.28.2.2076
9193.28.2.208/2993.28.2.209 to 93.28.2.21493.28.2.2156
9293.28.2.216/2993.28.2.217 to 93.28.2.22293.28.2.2236
9393.28.2.224/2993.28.2.225 to 93.28.2.23093.28.2.2316
9493.28.2.232/2993.28.2.233 to 93.28.2.23893.28.2.2396
9593.28.2.240/2993.28.2.241 to 93.28.2.24693.28.2.2476
9693.28.2.248/2993.28.2.249 to 93.28.2.25493.28.2.2556
9793.28.3.0/2993.28.3.1 to 93.28.3.693.28.3.76
9893.28.3.8/2993.28.3.9 to 93.28.3.1493.28.3.156
9993.28.3.16/2993.28.3.17 to 93.28.3.2293.28.3.236
10093.28.3.24/2993.28.3.25 to 93.28.3.3093.28.3.316
10193.28.3.32/2993.28.3.33 to 93.28.3.3893.28.3.396
10293.28.3.40/2993.28.3.41 to 93.28.3.4693.28.3.476
10393.28.3.48/2993.28.3.49 to 93.28.3.5493.28.3.556
10493.28.3.56/2993.28.3.57 to 93.28.3.6293.28.3.636
10593.28.3.64/2993.28.3.65 to 93.28.3.7093.28.3.716
10693.28.3.72/2993.28.3.73 to 93.28.3.7893.28.3.796
10793.28.3.80/2993.28.3.81 to 93.28.3.8693.28.3.876
10893.28.3.88/2993.28.3.89 to 93.28.3.9493.28.3.956
10993.28.3.96/2993.28.3.97 to 93.28.3.10293.28.3.1036
11093.28.3.104/2993.28.3.105 to 93.28.3.11093.28.3.1116
11193.28.3.112/2993.28.3.113 to 93.28.3.11893.28.3.1196
11293.28.3.120/2993.28.3.121 to 93.28.3.12693.28.3.1276
11393.28.3.128/2993.28.3.129 to 93.28.3.13493.28.3.1356
11493.28.3.136/2993.28.3.137 to 93.28.3.14293.28.3.1436
11593.28.3.144/2993.28.3.145 to 93.28.3.15093.28.3.1516
11693.28.3.152/2993.28.3.153 to 93.28.3.15893.28.3.1596
11793.28.3.160/2993.28.3.161 to 93.28.3.16693.28.3.1676
11893.28.3.168/2993.28.3.169 to 93.28.3.17493.28.3.1756
11993.28.3.176/2993.28.3.177 to 93.28.3.18293.28.3.1836
12093.28.3.184/2993.28.3.185 to 93.28.3.19093.28.3.1916
12193.28.3.192/2993.28.3.193 to 93.28.3.19893.28.3.1996
12293.28.3.200/2993.28.3.201 to 93.28.3.20693.28.3.2076
12393.28.3.208/2993.28.3.209 to 93.28.3.21493.28.3.2156
12493.28.3.216/2993.28.3.217 to 93.28.3.22293.28.3.2236
12593.28.3.224/2993.28.3.225 to 93.28.3.23093.28.3.2316
12693.28.3.232/2993.28.3.233 to 93.28.3.23893.28.3.2396
12793.28.3.240/2993.28.3.241 to 93.28.3.24693.28.3.2476
12893.28.3.248/2993.28.3.249 to 93.28.3.25493.28.3.2556
12993.28.4.0/2993.28.4.1 to 93.28.4.693.28.4.76
13093.28.4.8/2993.28.4.9 to 93.28.4.1493.28.4.156
13193.28.4.16/2993.28.4.17 to 93.28.4.2293.28.4.236
13293.28.4.24/2993.28.4.25 to 93.28.4.3093.28.4.316
13393.28.4.32/2993.28.4.33 to 93.28.4.3893.28.4.396
13493.28.4.40/2993.28.4.41 to 93.28.4.4693.28.4.476
13593.28.4.48/2993.28.4.49 to 93.28.4.5493.28.4.556
13693.28.4.56/2993.28.4.57 to 93.28.4.6293.28.4.636
13793.28.4.64/2993.28.4.65 to 93.28.4.7093.28.4.716
13893.28.4.72/2993.28.4.73 to 93.28.4.7893.28.4.796
13993.28.4.80/2993.28.4.81 to 93.28.4.8693.28.4.876
14093.28.4.88/2993.28.4.89 to 93.28.4.9493.28.4.956
14193.28.4.96/2993.28.4.97 to 93.28.4.10293.28.4.1036
14293.28.4.104/2993.28.4.105 to 93.28.4.11093.28.4.1116
14393.28.4.112/2993.28.4.113 to 93.28.4.11893.28.4.1196
14493.28.4.120/2993.28.4.121 to 93.28.4.12693.28.4.1276
14593.28.4.128/2993.28.4.129 to 93.28.4.13493.28.4.1356
14693.28.4.136/2993.28.4.137 to 93.28.4.14293.28.4.1436
14793.28.4.144/2993.28.4.145 to 93.28.4.15093.28.4.1516
14893.28.4.152/2993.28.4.153 to 93.28.4.15893.28.4.1596
14993.28.4.160/2993.28.4.161 to 93.28.4.16693.28.4.1676
15093.28.4.168/2993.28.4.169 to 93.28.4.17493.28.4.1756
15193.28.4.176/2993.28.4.177 to 93.28.4.18293.28.4.1836
15293.28.4.184/2993.28.4.185 to 93.28.4.19093.28.4.1916
15393.28.4.192/2993.28.4.193 to 93.28.4.19893.28.4.1996
15493.28.4.200/2993.28.4.201 to 93.28.4.20693.28.4.2076
15593.28.4.208/2993.28.4.209 to 93.28.4.21493.28.4.2156
15693.28.4.216/2993.28.4.217 to 93.28.4.22293.28.4.2236
15793.28.4.224/2993.28.4.225 to 93.28.4.23093.28.4.2316
15893.28.4.232/2993.28.4.233 to 93.28.4.23893.28.4.2396
15993.28.4.240/2993.28.4.241 to 93.28.4.24693.28.4.2476
16093.28.4.248/2993.28.4.249 to 93.28.4.25493.28.4.2556
16193.28.5.0/2993.28.5.1 to 93.28.5.693.28.5.76
16293.28.5.8/2993.28.5.9 to 93.28.5.1493.28.5.156
16393.28.5.16/2993.28.5.17 to 93.28.5.2293.28.5.236
16493.28.5.24/2993.28.5.25 to 93.28.5.3093.28.5.316
16593.28.5.32/2993.28.5.33 to 93.28.5.3893.28.5.396
16693.28.5.40/2993.28.5.41 to 93.28.5.4693.28.5.476
16793.28.5.48/2993.28.5.49 to 93.28.5.5493.28.5.556
16893.28.5.56/2993.28.5.57 to 93.28.5.6293.28.5.636
16993.28.5.64/2993.28.5.65 to 93.28.5.7093.28.5.716
17093.28.5.72/2993.28.5.73 to 93.28.5.7893.28.5.796
17193.28.5.80/2993.28.5.81 to 93.28.5.8693.28.5.876
17293.28.5.88/2993.28.5.89 to 93.28.5.9493.28.5.956
17393.28.5.96/2993.28.5.97 to 93.28.5.10293.28.5.1036
17493.28.5.104/2993.28.5.105 to 93.28.5.11093.28.5.1116
17593.28.5.112/2993.28.5.113 to 93.28.5.11893.28.5.1196
17693.28.5.120/2993.28.5.121 to 93.28.5.12693.28.5.1276
17793.28.5.128/2993.28.5.129 to 93.28.5.13493.28.5.1356
17893.28.5.136/2993.28.5.137 to 93.28.5.14293.28.5.1436
17993.28.5.144/2993.28.5.145 to 93.28.5.15093.28.5.1516
18093.28.5.152/2993.28.5.153 to 93.28.5.15893.28.5.1596
18193.28.5.160/2993.28.5.161 to 93.28.5.16693.28.5.1676
18293.28.5.168/2993.28.5.169 to 93.28.5.17493.28.5.1756
18393.28.5.176/2993.28.5.177 to 93.28.5.18293.28.5.1836
18493.28.5.184/2993.28.5.185 to 93.28.5.19093.28.5.1916
18593.28.5.192/2993.28.5.193 to 93.28.5.19893.28.5.1996
18693.28.5.200/2993.28.5.201 to 93.28.5.20693.28.5.2076
18793.28.5.208/2993.28.5.209 to 93.28.5.21493.28.5.2156
18893.28.5.216/2993.28.5.217 to 93.28.5.22293.28.5.2236
18993.28.5.224/2993.28.5.225 to 93.28.5.23093.28.5.2316
19093.28.5.232/2993.28.5.233 to 93.28.5.23893.28.5.2396
19193.28.5.240/2993.28.5.241 to 93.28.5.24693.28.5.2476
19293.28.5.248/2993.28.5.249 to 93.28.5.25493.28.5.2556
19393.28.6.0/2993.28.6.1 to 93.28.6.693.28.6.76
19493.28.6.8/2993.28.6.9 to 93.28.6.1493.28.6.156
19593.28.6.16/2993.28.6.17 to 93.28.6.2293.28.6.236
19693.28.6.24/2993.28.6.25 to 93.28.6.3093.28.6.316
19793.28.6.32/2993.28.6.33 to 93.28.6.3893.28.6.396
19893.28.6.40/2993.28.6.41 to 93.28.6.4693.28.6.476
19993.28.6.48/2993.28.6.49 to 93.28.6.5493.28.6.556
20093.28.6.56/2993.28.6.57 to 93.28.6.6293.28.6.636
20193.28.6.64/2993.28.6.65 to 93.28.6.7093.28.6.716
20293.28.6.72/2993.28.6.73 to 93.28.6.7893.28.6.796
20393.28.6.80/2993.28.6.81 to 93.28.6.8693.28.6.876
20493.28.6.88/2993.28.6.89 to 93.28.6.9493.28.6.956
20593.28.6.96/2993.28.6.97 to 93.28.6.10293.28.6.1036
20693.28.6.104/2993.28.6.105 to 93.28.6.11093.28.6.1116
20793.28.6.112/2993.28.6.113 to 93.28.6.11893.28.6.1196
20893.28.6.120/2993.28.6.121 to 93.28.6.12693.28.6.1276
20993.28.6.128/2993.28.6.129 to 93.28.6.13493.28.6.1356
21093.28.6.136/2993.28.6.137 to 93.28.6.14293.28.6.1436
21193.28.6.144/2993.28.6.145 to 93.28.6.15093.28.6.1516
21293.28.6.152/2993.28.6.153 to 93.28.6.15893.28.6.1596
21393.28.6.160/2993.28.6.161 to 93.28.6.16693.28.6.1676
21493.28.6.168/2993.28.6.169 to 93.28.6.17493.28.6.1756
21593.28.6.176/2993.28.6.177 to 93.28.6.18293.28.6.1836
21693.28.6.184/2993.28.6.185 to 93.28.6.19093.28.6.1916
21793.28.6.192/2993.28.6.193 to 93.28.6.19893.28.6.1996
21893.28.6.200/2993.28.6.201 to 93.28.6.20693.28.6.2076
21993.28.6.208/2993.28.6.209 to 93.28.6.21493.28.6.2156
22093.28.6.216/2993.28.6.217 to 93.28.6.22293.28.6.2236
22193.28.6.224/2993.28.6.225 to 93.28.6.23093.28.6.2316
22293.28.6.232/2993.28.6.233 to 93.28.6.23893.28.6.2396
22393.28.6.240/2993.28.6.241 to 93.28.6.24693.28.6.2476
22493.28.6.248/2993.28.6.249 to 93.28.6.25493.28.6.2556
22593.28.7.0/2993.28.7.1 to 93.28.7.693.28.7.76
22693.28.7.8/2993.28.7.9 to 93.28.7.1493.28.7.156
22793.28.7.16/2993.28.7.17 to 93.28.7.2293.28.7.236
22893.28.7.24/2993.28.7.25 to 93.28.7.3093.28.7.316
22993.28.7.32/2993.28.7.33 to 93.28.7.3893.28.7.396
23093.28.7.40/2993.28.7.41 to 93.28.7.4693.28.7.476
23193.28.7.48/2993.28.7.49 to 93.28.7.5493.28.7.556
23293.28.7.56/2993.28.7.57 to 93.28.7.6293.28.7.636
23393.28.7.64/2993.28.7.65 to 93.28.7.7093.28.7.716
23493.28.7.72/2993.28.7.73 to 93.28.7.7893.28.7.796
23593.28.7.80/2993.28.7.81 to 93.28.7.8693.28.7.876
23693.28.7.88/2993.28.7.89 to 93.28.7.9493.28.7.956
23793.28.7.96/2993.28.7.97 to 93.28.7.10293.28.7.1036
23893.28.7.104/2993.28.7.105 to 93.28.7.11093.28.7.1116
23993.28.7.112/2993.28.7.113 to 93.28.7.11893.28.7.1196
24093.28.7.120/2993.28.7.121 to 93.28.7.12693.28.7.1276
24193.28.7.128/2993.28.7.129 to 93.28.7.13493.28.7.1356
24293.28.7.136/2993.28.7.137 to 93.28.7.14293.28.7.1436
24393.28.7.144/2993.28.7.145 to 93.28.7.15093.28.7.1516
24493.28.7.152/2993.28.7.153 to 93.28.7.15893.28.7.1596
24593.28.7.160/2993.28.7.161 to 93.28.7.16693.28.7.1676
24693.28.7.168/2993.28.7.169 to 93.28.7.17493.28.7.1756
24793.28.7.176/2993.28.7.177 to 93.28.7.18293.28.7.1836
24893.28.7.184/2993.28.7.185 to 93.28.7.19093.28.7.1916
24993.28.7.192/2993.28.7.193 to 93.28.7.19893.28.7.1996
25093.28.7.200/2993.28.7.201 to 93.28.7.20693.28.7.2076
25193.28.7.208/2993.28.7.209 to 93.28.7.21493.28.7.2156
25293.28.7.216/2993.28.7.217 to 93.28.7.22293.28.7.2236
25393.28.7.224/2993.28.7.225 to 93.28.7.23093.28.7.2316
25493.28.7.232/2993.28.7.233 to 93.28.7.23893.28.7.2396
25593.28.7.240/2993.28.7.241 to 93.28.7.24693.28.7.2476
25693.28.7.248/2993.28.7.249 to 93.28.7.25493.28.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses